# $Revision: 1.133 $, $Date: 2009/03/18 12:12:40 $
#
# Conditional build:
%bcond_without	kerberos5	# build without kerberos5 support
%bcond_without	ldap		# build without ldap support
#
%define		basever		2.26
%define		apiver		1.2
Summary:	Evolution data server
Summary(pl.UTF-8):	Serwer danych Evolution
Name:		evolution-data-server
Version:	2.26.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/evolution-data-server/2.26/%{name}-%{version}.tar.bz2
# Source0-md5:	d010845a4ee9604f050403b106c2f416
Patch0:		%{name}-ntlm-ldap.patch
URL:		http://www.gnome.org/projects/evolution/
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	ORBit2-devel >= 1:2.14.8
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	cyrus-sasl-devel
BuildRequires:	db-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-keyring-devel >= 2.26.0
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
%{?with_kerberos5:BuildRequires:	krb5-devel}
BuildRequires:	libbonobo-devel >= 2.24.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.24.0
BuildRequires:	libgweather-devel >= 2.26.0
BuildRequires:	libical-devel >= 0.43
BuildRequires:	libsoup-devel >= 2.26.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	nspr-devel
BuildRequires:	nss-devel
%{?with_ldap:BuildRequires:	openldap-evolution-devel >= 2.4.6}
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.304
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		schemadir	/usr/share/openldap/schema

%description
The Evolution data server for the calendar and addressbook.

%description -l pl.UTF-8
Serwer danych Evolution dla kalendarza i książki adresowej.

%package -n openldap-schema-evolutionperson
Summary:	evolutionperson LDAP schema
Summary(pl.UTF-8):	Schemat LDAP evolutionperson
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-evolutionperson
This package contains evolutionperson.schema for openldap server.

%description -n openldap-schema-evolutionperson -l pl.UTF-8
Ten pakiet zawiera evolutionperson.schema dla serwera openldap.

%package libs
Summary:	Evolution Data Server library
Summary(pl.UTF-8):	Biblioteka Evolution Data Server
Group:		X11/Libraries
Requires:	libgnomeui >= 2.24.0
Requires:	libsoup >= 2.4.0

%description libs
This package contains Evolution Data Server library.

%description libs -l pl.UTF-8
Ten pakiet zawiera bibliotekę Evolution Data Server.

%package devel
Summary:	Evolution data server development files
Summary(pl.UTF-8):	Pliki programistyczne serwera danych evolution
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	GConf2-devel >= 2.26.0
Requires:	ORBit2-devel >= 1:2.14.8
Requires:	glib2-devel >= 1:2.20.0
Requires:	gtk+2-devel >= 2:2.16.0
%{?with_kerberos5:Requires:	krb5-devel}
Requires:	libbonobo-devel >= 2.24.0
Requires:	libglade2-devel >= 1:2.6.2
Requires:	libical-devel >= 0.43
Requires:	libsoup-devel >= 2.26.0
Requires:	libxml2-devel >= 1:2.6.31
Requires:	sqlite3-devel

%description devel
This package contains the files necessary to develop applications
using Evolution's data server libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne do tworzenia aplikacji
korzystających z bibliotek serwera danych Evolution.

%package static
Summary:	Evolution data server static libraries
Summary(pl.UTF-8):	Statyczne biblioteki serwera danych Evolution
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Evolution data server static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki serwera danych Evolution.

%package apidocs
Summary:	e-d-s API documentation
Summary(pl.UTF-8):	Dokumentacja API e-d-s
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
e-d-s API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API e-d-s.

%prep
%setup -q
%patch0 -p1

# kill -L$withval/lib
sed -i -e 's/DB_LIBS="-L[^ "]* /DB_LIBS="/;s/ICONV_LIBS="[^ "]*/ICONV_LIBS="/' configure.in

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

# Set LIBS so that configure will be able to link with static LDAP libraries,
# which depend on Cyrus SASL and OpenSSL.
if pkg-config openssl ; then
	LIBS="-lsasl2 `pkg-config --libs openssl`"
else
	LIBS="-lsasl2 -lssl -lcrypto"
fi
export LIBS

%configure \
	%{?with_kerberos5:--with-krb5=%{_prefix} --with-krb5-libs=%{_libdir}} \
	%{!?with_kerberos5:--with-krb5=no} \
	%{?with_ldap:--with-openldap=%{_libdir}/evolution-openldap} \
	%{?with_ldap:--with-static-ldap=yes} \
	%{!?with_ldap:--with-openldap=no} \
	--enable-gnome-keyring=yes \
	--enable-gtk-doc \
	--enable-static \
	--with-nspr-includes=%{_includedir}/nspr \
	--with-nspr-libs=%{_libdir} \
	--with-nss-includes=%{_includedir}/nss \
	--with-nss-libs=%{_libdir} \
	--with-libdb=%{_libdir} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{schemadir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

install addressbook/backends/ldap/evolutionperson.schema $RPM_BUILD_ROOT%{schemadir}

rm $RPM_BUILD_ROOT%{_libdir}/%{name}-%{apiver}/{camel-providers,extensions}/*.{la,a}

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/la

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post -n openldap-schema-evolutionperson
%openldap_schema_register %{schemadir}/evolutionperson.schema
%service -q ldap restart

%postun -n openldap-schema-evolutionperson
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/evolutionperson.schema
	%service -q ldap restart
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS* README
%attr(755,root,root) %{_libdir}/camel-index-control-%{apiver}
%attr(755,root,root) %{_libdir}/camel-lock-helper-%{apiver}
%attr(755,root,root) %{_libdir}/evolution-data-server-%{basever}
%dir %{_libdir}/%{name}-%{apiver}
%dir %{_libdir}/%{name}-%{apiver}/camel-providers
%attr(755,root,root) %{_libdir}/%{name}-%{apiver}/camel-providers/*.so
%{_libdir}/%{name}-%{apiver}/camel-providers/*.urls
%dir %{_libdir}/%{name}-%{apiver}/extensions
%attr(755,root,root) %{_libdir}/%{name}-%{apiver}/extensions/*.so
%{_libdir}/bonobo/servers/GNOME_Evolution_DataServer_1.2.server

%if %{with ldap}
%{_datadir}/%{name}-%{basever}/*.schema
%endif

%dir %{_datadir}/%{name}-%{basever}
%{_datadir}/%{name}-%{basever}/glade
%{_datadir}/%{name}-%{basever}/weather
%{_pixmapsdir}/%{name}

%files -n openldap-schema-evolutionperson
%defattr(644,root,root,755)
%{schemadir}/evolutionperson.schema

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcamel-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcamel-%{apiver}.so.14
%attr(755,root,root) %{_libdir}/libcamel-provider-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcamel-provider-%{apiver}.so.14
%attr(755,root,root) %{_libdir}/libebackend-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libebackend-%{apiver}.so.0
%attr(755,root,root) %{_libdir}/libebook-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libebook-%{apiver}.so.9
%attr(755,root,root) %{_libdir}/libecal-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecal-%{apiver}.so.7
%attr(755,root,root) %{_libdir}/libedata-book-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedata-book-%{apiver}.so.2
%attr(755,root,root) %{_libdir}/libedata-cal-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedata-cal-%{apiver}.so.6
%attr(755,root,root) %{_libdir}/libedataserver-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedataserver-%{apiver}.so.11
%attr(755,root,root) %{_libdir}/libedataserverui-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedataserverui-%{apiver}.so.8
%attr(755,root,root) %{_libdir}/libegroupwise-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libegroupwise-%{apiver}.so.13
%attr(755,root,root) %{_libdir}/libexchange-storage-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexchange-storage-%{apiver}.so.3
%attr(755,root,root) %{_libdir}/libgdata-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdata-%{apiver}.so.1
%attr(755,root,root) %{_libdir}/libgdata-google-%{apiver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdata-google-%{apiver}.so.1
%{_datadir}/idl/%{name}-%{apiver}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcamel-%{apiver}.so
%attr(755,root,root) %{_libdir}/libcamel-provider-%{apiver}.so
%attr(755,root,root) %{_libdir}/libebackend-%{apiver}.so
%attr(755,root,root) %{_libdir}/libebook-%{apiver}.so
%attr(755,root,root) %{_libdir}/libecal-%{apiver}.so
%attr(755,root,root) %{_libdir}/libedata-book-%{apiver}.so
%attr(755,root,root) %{_libdir}/libedata-cal-%{apiver}.so
%attr(755,root,root) %{_libdir}/libedataserver-%{apiver}.so
%attr(755,root,root) %{_libdir}/libedataserverui-%{apiver}.so
%attr(755,root,root) %{_libdir}/libegroupwise-%{apiver}.so
%attr(755,root,root) %{_libdir}/libexchange-storage-%{apiver}.so
%attr(755,root,root) %{_libdir}/libgdata-%{apiver}.so
%attr(755,root,root) %{_libdir}/libgdata-google-%{apiver}.so
%{_libdir}/libcamel-%{apiver}.la
%{_libdir}/libcamel-provider-%{apiver}.la
%{_libdir}/libebackend-%{apiver}.la
%{_libdir}/libebook-%{apiver}.la
%{_libdir}/libecal-%{apiver}.la
%{_libdir}/libedata-book-%{apiver}.la
%{_libdir}/libedata-cal-%{apiver}.la
%{_libdir}/libedataserver-%{apiver}.la
%{_libdir}/libedataserverui-%{apiver}.la
%{_libdir}/libegroupwise-%{apiver}.la
%{_libdir}/libexchange-storage-%{apiver}.la
%{_libdir}/libgdata-%{apiver}.la
%{_libdir}/libgdata-google-%{apiver}.la
%{_includedir}/evolution-data-server-%{basever}
%{_pkgconfigdir}/camel-%{apiver}.pc
%{_pkgconfigdir}/camel-provider-%{apiver}.pc
%{_pkgconfigdir}/evolution-data-server-%{apiver}.pc
%{_pkgconfigdir}/libebackend-%{apiver}.pc
%{_pkgconfigdir}/libebook-%{apiver}.pc
%{_pkgconfigdir}/libecal-%{apiver}.pc
%{_pkgconfigdir}/libedata-book-%{apiver}.pc
%{_pkgconfigdir}/libedata-cal-%{apiver}.pc
%{_pkgconfigdir}/libedataserver-%{apiver}.pc
%{_pkgconfigdir}/libedataserverui-%{apiver}.pc
%{_pkgconfigdir}/libegroupwise-%{apiver}.pc
%{_pkgconfigdir}/libexchange-storage-%{apiver}.pc
%{_pkgconfigdir}/libgdata-%{apiver}.pc
%{_pkgconfigdir}/libgdata-google-%{apiver}.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcamel-%{apiver}.a
%{_libdir}/libcamel-provider-%{apiver}.a
%{_libdir}/libebackend-%{apiver}.a
%{_libdir}/libebook-%{apiver}.a
%{_libdir}/libecal-%{apiver}.a
%{_libdir}/libedata-book-%{apiver}.a
%{_libdir}/libedata-cal-%{apiver}.a
%{_libdir}/libedataserver-%{apiver}.a
%{_libdir}/libedataserverui-%{apiver}.a
%{_libdir}/libegroupwise-%{apiver}.a
%{_libdir}/libexchange-storage-%{apiver}.a
%{_libdir}/libgdata-%{apiver}.a
%{_libdir}/libgdata-google-%{apiver}.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/camel
%{_gtkdocdir}/libebackend
%{_gtkdocdir}/libebook
%{_gtkdocdir}/libecal
%{_gtkdocdir}/libedata-book
%{_gtkdocdir}/libedata-cal
%{_gtkdocdir}/libedataserver
%{_gtkdocdir}/libedataserverui

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: evolution-data-server.spec,v $
Revision 1.133  2009/03/18 12:12:40  patrys
- bump BR:

Revision 1.132.2.2  2009/03/17 17:13:42  patrys
- 2.26.0

Revision 1.132.2.1  2009/03/07 15:06:21  megabajt
- updated to 2.25.92

Revision 1.132  2009/02/07 15:44:57  megabajt
- updated to 2.24.4.1

Revision 1.131  2009/01/15 12:11:10  megabajt
- updated to 2.24.3

Revision 1.130  2008/11/26 19:15:40  sls
- BR: sqlite3-devel

Revision 1.129  2008/11/26 10:45:53  megabajt
- drop unsupported la locale
- release 2

Revision 1.128  2008/11/25 19:35:39  megabajt
- updated to 2.24.2

Revision 1.127  2008/11/10 21:35:52  megabajt
- updated to 2.24.1.1

Revision 1.126  2008/11/10 19:14:34  glen
- release 3 (libdb.la)

Revision 1.125  2008/11/10 10:50:07  megabajt
- release 2

Revision 1.124  2008/10/21 16:40:46  megabajt
- updated to 2.24.1 (new soname)

Revision 1.123  2008/09/26 22:50:40  megabajt
- updated to 2.24.0; merged changes from DEVEL
- re-added -ntlm-ldap.patch (it's still required for Exchange support)

Revision 1.122  2008/09/17 16:23:57  qboosh
- release 2

Revision 1.121  2008/09/17 16:23:28  qboosh
- avoid evil -L in *.la

Revision 1.119.2.7  2008/09/12 21:24:16  patrys
- 2.23.92
- removed ntlm-ldap patch (doesn't seem to do anything)

Revision 1.119.2.6  2008/09/04 09:29:46  patrys
- 2.23.91

Revision 1.119.2.5  2008/08/19 19:37:22  megabajt
- updated to 2.23.90.1

Revision 1.119.2.4  2008/08/18 11:57:17  patrys
- 2.23.90

Revision 1.119.2.3  2008/08/06 18:03:46  patrys
- 2.23.6

Revision 1.119.2.2  2008/07/23 21:30:40  patrys
- 2.23.5

Revision 1.120  2008/06/30 18:57:33  megabajt
- updated to 2.22.3

Revision 1.119.2.1  2008/06/19 13:04:01  patrys
- 2.23.4

Revision 1.119  2008-06-01 13:59:35  megabajt
- release 2

Revision 1.118  2008-05-28 20:35:40  megabajt
- updated to 2.22.2
- removed -passwords.patch (applied upstream)

Revision 1.117  2008-05-20 17:20:53  deejay1
- added P1 to fix some m{in,aj}or password issues (like being unable to type in
  the gpg password). See BGO #531439 and BGO #354923
- rel. 2

Revision 1.116  2008-05-03 09:36:21  megabajt
- updated to 2.22.1.1

Revision 1.115  2008-04-08 16:15:05  megabajt
- updated to 2.22.1

Revision 1.114  2008-03-11 17:25:18  megabajt
- updated to 2.22.0; merged from DEVEL

Revision 1.113.2.2  2008-02-12 21:25:13  megabajt
- updated to 2.21.91

Revision 1.113.2.1  2008-01-29 21:45:28  megabajt
- updated to 2.21.90
- more verbose files and ghosted soname symlinks
- added X11 to Group

Revision 1.113  2008-01-09 20:06:53  megabajt
- updated to 1.12.3

Revision 1.112  2007-11-26 15:39:50  megabajt
- updated to 1.12.2
- use better way to fix locale name

Revision 1.111  2007-11-07 12:18:32  baggins
- BR openssl-devel, cyrus-sasl-devel

Revision 1.110  2007/11/07 12:06:00  baggins
- rel 4
- it's e-d-s that needs specially prepared openldap for exchange support

Revision 1.109  2007/11/04 17:06:49  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.108  2007/11/03 12:44:09  baggins
- rel 2

Revision 1.107  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.106  2007/10/15 16:00:27  megabajt
- updated to 1.12.1

Revision 1.105  2007/09/17 18:25:17  patrys
- 1.12.0

Revision 1.104  2007/09/03 14:47:17  baggins
- rel 3

Revision 1.103.2.2  2007/09/08 18:18:48  megabajt
- updated to 1.11.92

Revision 1.103.2.1  2007/08/29 08:46:24  megabajt
- updated to 1.11.91
- removed obsolete as_needed-fix patch

Revision 1.103  2007/07/26 17:03:30  arekm
- rel 2; rebuild with new db4.6

Revision 1.102  2007/07/26 13:50:24  megabajt
- updated to 1.10.3.1

Revision 1.101  2007/05/29 15:33:02  megabajt
- updated to 1.10.2

Revision 1.100  2007/04/09 18:44:20  megabajt
- updated to 1.10.1

Revision 1.99  2007/03/31 21:31:06  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.98  2007/03/13 10:34:01  megabajt
- updated to 1.10.0; merged changes from DEVEL

Revision 1.97.2.1  2007/03/02 21:24:41  megabajt
- updated to 1.9.92

Revision 1.97  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.96  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.95  2007/01/31 21:59:57  megabajt
- updated to 1.8.3

Revision 1.94  2006/12/28 17:34:23  megabajt
- md5

Revision 1.93  2006/12/28 17:23:49  megabajt
- up to 1.8.2

Revision 1.92  2006/12/23 21:51:51  czarny
- rel 2 to rebuild with db4.5

Revision 1.91  2006/10/03 10:39:49  grzegol
- 1.8.1

Revision 1.90  2006/09/04 19:23:11  grzegol
- updated to 1.8.0
- removed outdated workaround-cal-backend-leak and gcc4 patches (fixed
  upstream long time ago)

Revision 1.89  2006/08/21 17:08:22  freetz
- 1.7.92, updated deps

Revision 1.88  2006/08/13 22:17:28  grzegol
- more as-needed fixes (fix krb5 detection)
- rel. 3

Revision 1.87  2006/08/08 20:06:31  freetz
- apidocs subpkg

Revision 1.86  2006/08/08 19:47:02  freetz
- rel.2

Revision 1.85  2006/08/07 21:00:43  freetz
- 1.7.91

Revision 1.84  2006/08/06 18:39:01  sparky
- fix instead of disabling --as-needed

Revision 1.83  2006/08/06 10:02:26  wolf
- rel 2

Revision 1.82  2006/08/05 21:07:11  sparky
- convert no_build_with_as_needed 1 to filterout_ld -Wl,--as-needed

Revision 1.81  2006/07/25 19:20:26  freetz
- 1.7.90.1, removed obsoleted gg-im and libdb patches,
  unfortuneltely --as-needed is broken with this release.
  NOTE: ABI/API breakage, new sonames

Revision 1.80  2006/07/13 20:15:11  freetz
- 1.7.4, updated deps, --as-needed-support

Revision 1.79  2006/07/09 20:05:41  pluto
- release 2 for kill libpng12.la deps.

Revision 1.78  2006/06/13 19:39:23  freetz
- 1.7.3, added no_libdb_la patch, updated deps

Revision 1.77  2006/06/02 22:03:55  freetz
- 1.7.2, GNOME 2.15.x deps, removed obsolete system_db patch

Revision 1.76  2006/06/02 21:18:50  glen
- use %openldap_schema_{un,}register macros

Revision 1.75  2006/05/27 00:25:04  qboosh
- merged deps update from AC-branch

Revision 1.71.4.3  2006/05/18 22:25:41  baggins
- release 3
- strict reqs

Revision 1.71.4.2  2006/05/15 18:08:09  baggins
- rel 2
- fixed typo

Revision 1.71.4.1  2006/05/15 15:24:55  baggins
- merged from HEAD

Revision 1.74  2006/04/10 18:35:15  freetz
- 1.6.1

Revision 1.73  2006/04/04 19:07:36  freetz
- rel.2 for rebuild (glitz infected)

Revision 1.72  2006/04/02 06:36:29  freetz
- merged from DEVEL

Revision 1.71.2.5  2006/03/13 17:22:26  freetz
- 1.6.0

Revision 1.71.2.4  2006/02/27 21:23:52  freetz
- 1.5.92

Revision 1.71.2.3  2006/02/13 21:14:16  freetz
- 1.5.91

Revision 1.71.2.2  2006/01/31 18:01:10  freetz
- 1.5.90

Revision 1.71.2.1  2006/01/22 20:39:08  freetz
- 1.5.5

Revision 1.71  2006/01/17 12:29:36  baggins
- release 3
- BR openldap >= 2.3

Revision 1.70  2006/01/03 13:47:58  glen
- R: heimdal-devel for -devel when kerberos5 bcond is on
- sorted preambles

Revision 1.69  2005/12/30 16:11:40  patrys
- unkloczkized the commit log (en_TK -> en_US)
- STBR

Revision 1.68  2005/12/30 16:06:05  patrys
- added a patch for fucked up IMAP in 1.4.2.1
- rel. up to 2
- STBR ASAP (non-ASCII folders are unusable without this patch)

Revision 1.67  2005/11/30 10:44:12  freetz
- 1.4.2.1

Revision 1.66  2005/11/29 11:54:20  freetz
- 1.4.2

Revision 1.65  2005/10/08 15:18:52  freetz
- 1.4.1.1, fixes nasty evo-exchange bug

Revision 1.64  2005/10/06 17:39:10  freetz
- IDL stuff is needed at runtime by some crazy apps - moved to libs

Revision 1.63  2005/10/05 19:10:00  freetz
- move IDL to devel subpackage, rel.3

Revision 1.62  2005/10/05 16:37:13  freetz
- rel.2

Revision 1.61  2005/10/04 19:43:33  qboosh
- -libs desc fix, -devel R: -libs not base, unified order

Revision 1.60  2005/10/04 19:38:28  freetz
- typo

Revision 1.59  2005/10/04 19:31:31  freetz
- 1.4.1, libs subpackage

Revision 1.58  2005/09/05 19:41:15  freetz
- fixed post merge copy&paste typo

Revision 1.57  2005/09/05 18:38:50  freetz
- restored lost changes on merge, fixed changelog mess

Revision 1.56  2005/09/05 18:23:25  freetz
- merged from DEVEL and updated to 1.4.0

Revision 1.50.2.12  2005/08/23 09:22:49  aflinta
- 1.3.8

Revision 1.50.2.11  2005/08/21 09:04:10  wiget
- rebuild with new cairo, rel 3

Revision 1.50.2.10  2005/08/09 08:58:08  aflinta
- rebuild with libsoup 2.2.5 (soname change), release 2

Revision 1.50.2.9  2005/08/08 21:19:00  freetz
- 1.3.7 (new soname!)

Revision 1.50.2.8  2005/08/01 13:32:01  aflinta
- up to version 1.3.6.1

Revision 1.50.2.7  2005/07/26 20:21:15  freetz
- 1.3.6

Revision 1.50.2.6  2005/07/23 11:52:26  wiget
- bonobo patch not needed now

Revision 1.50.2.5  2005/07/13 10:51:55  wiget
- BR heimdal-devel >= 0.7

Revision 1.50.2.4  2005/07/12 18:44:54  freetz
- 1.3.5

Revision 1.50.2.3  2005/07/12 18:13:48  jpc
- BR: bison

Revision 1.50.2.2  2005/07/03 16:48:20  freetz
- use apiver/basever macros

Revision 1.50.2.1  2005/07/03 16:40:03  freetz
- 1.3.4

Revision 1.55  2005/08/26 18:20:52  qboosh
- pl for openldap-schema-

Revision 1.54  2005/08/20 12:36:25  glen
- created openldap-schema-evolutionperson subpackage

Revision 1.53  2005/08/15 00:22:14  wolf
- fix w/o ldap

Revision 1.52  2005/07/11 19:41:13  freetz
- release 3 for rebuild with gnutls 1.2.x

Revision 1.51  2005/07/08 18:06:23  arekm
- BR heimdal-devel >= 0.7

Revision 1.50  2005/06/05 10:16:36  freetz
- 1.2.3

Revision 1.49  2005/04/29 18:48:37  qrczak
- evolution-data-server-gcc4.patch: a static function must have
  a prototype before it's called
- Release 2

Revision 1.48  2005/04/19 18:45:32  darekr
- typo

Revision 1.47  2005/04/13 15:40:27  paladine
- updated to 1.2.2

Revision 1.46  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.45  2005/04/08 11:51:53  paladine
- new style macros
- STBR

Revision 1.44  2005/04/06 00:08:57  paladine
- proper R:

Revision 1.43  2005/04/05 23:57:52  paladine
- no GConf schemas so no R(post): GConf2 and no running
  %gconf_schema_install in %%post
- run scrollkeeper-update in quiet mode
- rel. 3

Revision 1.42  2005/03/27 22:02:26  qboosh
- unified

Revision 1.41  2005/03/27 08:44:23  averne
- added kerberos5 and ldap bconds
- changes by Mariusz Krynski <mrk@sed.pl>

Revision 1.40  2005/03/20 18:33:23  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.39  2005/03/19 03:26:16  wrobell
- ver. 1.2.1

Revision 1.38  2005/03/09 22:22:17  paladine
- merged from DEVEL and updated to 1.2.0

Revision 1.37  2005/02/19 09:21:33  paladine
- updated to 1.0.4
- missing BR: libstdc++-devel

Revision 1.36.2.5  2005/03/01 12:54:30  aflinta
- up to version 1.1.6

Revision 1.36.2.4  2005/02/09 11:58:05  grzegol
- remove useless files
- set +x only where it's neccessary

Revision 1.36.2.3  2005/02/09 11:32:34  wiget
- fix bonobo server location in .server file
- release 2

Revision 1.36.2.2  2005/02/08 16:12:22  grzegol
- updated to 1.1.5

Revision 1.36.2.1  2005/02/07 16:16:06  grzegol
- updated to 1.1.4.2

Revision 1.36  2004/12/06 23:14:25  grzegol
- updated to 1.0.3
- removed outdated configure patch

Revision 1.35  2004/10/30 14:59:45  freetz
- added patch (workaround) http://bugzilla.ximian.com/show_bug.cgi?id=68533
- rel.2 STBR

Revision 1.34  2004/10/12 11:14:52  aflinta
- up to version 1.0.2

Revision 1.33  2004/09/29 13:50:06  grzegol
- updated to 1.0.1

Revision 1.32  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.31  2004/09/14 12:26:59  grzegol
- updated to 1.0.0

Revision 1.30  2004/08/30 17:37:17  aflinta
- up to version 0.0.99

Revision 1.29  2004/08/27 20:39:19  aflinta
- rebuild with libsoup 2.2.0, release 2

Revision 1.28  2004/08/15 10:25:49  aflinta
- up to version 0.0.98

Revision 1.27  2004/08/03 13:12:11  grzegol
- updated to 0.0.97
- added configure patch (move AC_CONFIG_AUX_DIR before AM_INIT_AUTOMAKE)

Revision 1.26  2004/07/24 15:58:24  qboosh
- -devel R: libgnome-devel, libsoup-devel

Revision 1.25  2004/07/20 12:36:51  grzegol
- updated to 0.0.96

Revision 1.24  2004/07/05 17:22:53  grzegol
- updated to 0.0.95

Revision 1.23  2004/06/16 18:22:10  grzegol
- updated to 0.0.94.1

Revision 1.22  2004/06/12 22:54:25  aflinta
- added Gadu-Gadu support, release 2

Revision 1.21  2004/06/04 18:38:55  aflinta
- up to version 0.0.94

Revision 1.20  2004/05/22 13:56:04  aflinta
- up to version 0.0.93

Revision 1.19  2004/04/19 20:08:44  grzegol
- updated to 0.0.92

Revision 1.18  2004/04/19 07:26:11  krzak
- rel 2 (rebuild with new gnutls)

Revision 1.17  2004/04/05 23:01:21  grzegol
- updated to 0.0.91

Revision 1.16  2004/04/03 16:31:47  grzegol
- epoch in BRs, and Rs
- cleanups

Revision 1.15  2004/04/01 07:44:52  grzegol
- rel. 3 to rebuild with gnutls-1.0.9

Revision 1.14  2004/03/16 19:15:37  wrobell
- rel. 2 to rebuild with new openldap on nest builders

Revision 1.13  2004/03/06 12:49:26  grzegol
- updated to 0.0.90

Revision 1.12  2004/02/22 15:31:04  grzegol
- added locale-names patch (changes locale no -> nb)
- rel. 2 to rebuild with libgcrypt-1.1.92-1

Revision 1.11  2004/02/10 00:46:00  grzegol
- updated to 0.0.7

Revision 1.10  2004/01/27 19:28:05  grzegol
- updated to 0.0.6

Revision 1.9  2004/01/14 09:06:32  wiget
- updated to 0.0.5

Revision 1.8  2003/12/29 20:47:35  grzegol
- updated to 0.0.4

Revision 1.7  2003/12/28 20:00:44  grzegol
- BR latest libsoup snap

Revision 1.6  2003/12/28 13:02:34  grzegol
- updated to 0.0.3-20031227 snap
- added Requires to -devel
- regenerate lt/al/ah/ac/am in calendar/libical directory

Revision 1.5  2003/12/21 15:37:10  qboosh
- some descriptions, added BRs

Revision 1.4  2003/12/15 16:25:30  wrobell
- build with system db
- gtk doc builds fine
- added static subpackage
- rel. 0.10

Revision 1.3  2003/12/11 12:28:55  wiget
- include gtk-doc in package
- todo added

Revision 1.2  2003/12/09 21:34:16  tiwek
- now build ok

Revision 1.1  2003/12/09 14:44:29  wrobell
- based on template /nfy/
